#-*- Makefile -*-
require DE_EPAGES::Core::API::Makefile;
__DATA__
#
#	makefile
#
#	Project		:	epages 5
#	Copyright	:	epages Software GmbH 2004
#	Version		:	Thu Nov 25 17:17:43 2004
#

!OS_SPECIFIC_DEFINES
DE_EPAGES	= ../../DE_EPAGES
COMPANY		= Training
CARTRIDGE	= MyStaticStyle
STORE		= Site
MODELS		= "Models/MyStaticStyle.pdm"
CARTRIDGES	= $(COMPANY)::$(CARTRIDGE)
COMPANY_CARTRIDGE = COMPANY=$(COMPANY) CARTRIDGE=$(CARTRIDGE) DE_EPAGES="$(DE_EPAGES)"

CVS_PATH	= epages/epages5/AllOS/Cartridges/$(COMPANY)/$(CARTRIDGE)
PRGS_GENERATE	= CVS_PATH="$(CVS_PATH)" PERL="$(PERL)" MKDIR="$(MKDIR)" RMDIR="$(RMDIR)"
MAKE_GENERATE	= $(MAKE) -f $(DE_EPAGES)/CodeGenerator/Scripts/CodeGenerator.mak $(COMPANY_CARTRIDGE) MODELS=$(MODELS) $(PRGS_GENERATE)
PRGS_CORE	= PERL="$(PERL)"
MAKE_CORE	= $(MAKE) -f $(DE_EPAGES)/Core/Scripts/Core.mak $(COMPANY_CARTRIDGE) $(PRGS_CORE)
PRGS_DOC	= PERL="$(PERL)" RMDIR="$(RMDIR)"
MAKE_DOC	= $(MAKE) -f $(DE_EPAGES)/SourceDoc/Scripts/SourceDoc.mak $(COMPANY_CARTRIDGE) $(PRGS_DOC)
PRGS_INSTALL	= PERL="$(PERL)" DE_EPAGES="$(DE_EPAGES)"
MAKE_INSTALL	= $(MAKE) -f $(DE_EPAGES)/Installer/Scripts/Installer.mak STORE=$(STORE) CARTRIDGES=$(CARTRIDGES) $(PRGS_INSTALL)
PRGS_REGISTER	= PERL="$(PERL)" DE_EPAGES="$(DE_EPAGES)"
MAKE_REGISTER	= $(MAKE) -f $(DE_EPAGES)/ShopConfiguration/Scripts/Register.mak CARTRIDGES=$(CARTRIDGES) $(PRGS_REGISTER)

clean:
	-$(DEL) .*#* *.pdb
	-$(DEL) makefile
	-$(RMDIR) Generated

generate generate_merge generate_new generate_update:
	$(MAKE_GENERATE) $@

install uninstall:
	$(MAKE_INSTALL) $@

register unregister:
	$(MAKE_REGISTER) $@

sourcedoc:
	$(MAKE_DOC) sourcedoc

test:
	$(MAKE_CORE) test
#
#	END
#
