Ext.data.JsonP.jQuery_ui_seoUiSeoCheckWidget({"tagname":"class","name":"jQuery.ui.seoUiSeoCheckWidget","autodetected":{},"files":[{"filename":"seocheckwidget.js","href":"seocheckwidget.html#jQuery-ui-seoUiSeoCheckWidget"}],"uses":["de_epages","de_epages.seo.ui.seoGaugeWidge","ep.ajax","ep.ui.dialog","jQuery.ui.tabs"],"since":"6.12.0","members":[{"name":"currentSEOQuality","tagname":"cfg","owner":"jQuery.ui.seoUiSeoCheckWidget","id":"cfg-currentSEOQuality","meta":{}},{"name":"languageId","tagname":"cfg","owner":"jQuery.ui.seoUiSeoCheckWidget","id":"cfg-languageId","meta":{}},{"name":"objectId","tagname":"cfg","owner":"jQuery.ui.seoUiSeoCheckWidget","id":"cfg-objectId","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.seoUiSeoCheckWidget","short_doc":"SEO check dialog widget to show SEO issues from different SEO test and ratings for multiple languages. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Uses</h4><div class='dependency'>de_epages</div><div class='dependency'>de_epages.seo.ui.seoGaugeWidge</div><div class='dependency'>ep.ajax</div><div class='dependency'>ep.ui.dialog</div><div class='dependency'>jQuery.ui.tabs</div><h4>Files</h4><div class='dependency'><a href='source/seocheckwidget.html#jQuery-ui-seoUiSeoCheckWidget' target='_blank'>seocheckwidget.js</a></div></pre><div class='doc-contents'><p>SEO check dialog widget to show SEO issues from different SEO test and ratings for multiple languages.</p>\n\n<p>The <code>.seoUiSeoCheckWidget()</code> method adds content handling for a given ep.ui.dialog instance.</p>\n\n<p>The widget relies on an existing dialog instance and handles the content of the dialog which is supplied from\nthe server via an ajax request. It also changes the dialog title bar and cares for the storage of the calculated\nSEO quality factor via another ajax request to the server.</p>\n\n<h3>Examples</h3>\n\n<p>Apply .seoUiSeoCheckWidget() to a ep.ui.dialog instance.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>var dialog;\nif(!dialog) {\n  dialog = de_epages('&lt;div&gt;')\n    .uiDialog({\n      autoOpen: false,\n      title: '&lt;span class=\"ep-SEOGaugeWidgetTitle\"&gt;SEOCheckDialogTitle&lt;/span&gt;',\n      buttons: { \"Close\": {\n        text: 'SEOCheckDialogCloseButton',\n        click: function() { ep(this).uiDialog(\"close\");}\n      }}\n    });\n\n    dialog.on(\"SEOCheckNewQuality\", function(event, newValue) {\n      de_epages('#SEOGaugeWidget').seoUiSeoGaugeWidget('Instance').setPercentage(newValue);\n    });\n}\ndialog.seoUiSeoCheckWidget({ 'currentSEOQuality' : 15 });\nep(dialog).find('.ep-metaparse').metaparse();\nep(dialog).uiDialog('Instance').uiDialog.find('.ep-metaparse').metaparse();\nep(dialog).uiDialog('open');\n</code></pre>\n        <p>Available since: <b>6.12.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-currentSEOQuality' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.seoUiSeoCheckWidget'>jQuery.ui.seoUiSeoCheckWidget</span><br/><a href='source/seocheckwidget.html#jQuery-ui-seoUiSeoCheckWidget-cfg-currentSEOQuality' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.seoUiSeoCheckWidget-cfg-currentSEOQuality' class='name expandable'>currentSEOQuality</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>SEO quality factor.</p>\n</div><div class='long'><p>SEO quality factor.</p>\n</div></div></div><div id='cfg-languageId' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.seoUiSeoCheckWidget'>jQuery.ui.seoUiSeoCheckWidget</span><br/><a href='source/seocheckwidget.html#jQuery-ui-seoUiSeoCheckWidget-cfg-languageId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.seoUiSeoCheckWidget-cfg-languageId' class='name expandable'>languageId</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Language ID used for the ajax requests.</p>\n</div><div class='long'><p>Language ID used for the ajax requests.</p>\n</div></div></div><div id='cfg-objectId' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.seoUiSeoCheckWidget'>jQuery.ui.seoUiSeoCheckWidget</span><br/><a href='source/seocheckwidget.html#jQuery-ui-seoUiSeoCheckWidget-cfg-objectId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.seoUiSeoCheckWidget-cfg-objectId' class='name expandable'>objectId</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Object ID used for the ajax requests.</p>\n</div><div class='long'><p>Object ID used for the ajax requests.</p>\n</div></div></div></div></div></div></div>","meta":{}});