Ext.data.JsonP.jQuery_ui_uiRichtable({"tagname":"class","name":"jQuery.ui.uiRichtable","autodetected":{},"files":[{"filename":"richtable.js","href":"richtable.html#jQuery-ui-uiRichtable"}],"extends":"jQuery.widget","uses":["ep","ep.fn.contextOrientation","ep.ui.textedit","ep.ui.validate","jQuery.event.special.load","jQuery.ui.widget"],"since":"6.15.0","members":[{"name":"alterIcon","tagname":"cfg","owner":"jQuery.ui.uiRichtable","id":"cfg-alterIcon","meta":{}},{"name":"currency","tagname":"cfg","owner":"jQuery.ui.uiRichtable","id":"cfg-currency","meta":{}},{"name":"editIcon","tagname":"cfg","owner":"jQuery.ui.uiRichtable","id":"cfg-editIcon","meta":{}},{"name":"region","tagname":"cfg","owner":"jQuery.ui.uiRichtable","id":"cfg-region","meta":{}},{"name":"saveAction","tagname":"cfg","owner":"jQuery.ui.uiRichtable","id":"cfg-saveAction","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.uiRichtable","short_doc":"Make table cell content editable. ...","component":false,"superclasses":["jQuery.widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><strong>jQuery.ui.uiRichtable</strong></div></div><h4>Uses</h4><div class='dependency'><a href='#!/api/ep' rel='ep' class='docClass'>ep</a></div><div class='dependency'>ep.fn.contextOrientation</div><div class='dependency'>ep.ui.textedit</div><div class='dependency'>ep.ui.validate</div><div class='dependency'>jQuery.event.special.load</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/richtable.html#jQuery-ui-uiRichtable' target='_blank'>richtable.js</a></div></pre><div class='doc-contents'><p>Make table cell content editable.</p>\n\n<p>The <code>.uiRichtable()</code> method makes table cells editable, which are marked with the attribute data-ep-editable=\"true\".</p>\n\n<p>The cells content must be wrapped in a HTML-Element as <code>span</code> or <code>div</code>. The <code>data-ep-attribute</code>-value\nrepresents the name of the objects attribute on which the saveAction should be executed. The innerHTML will be\nsaved.</p>\n\n<p>If the edited values should be saved, the <code>Input</code> in the first cell in the following example must be\nan <code>input</code>-element, containing the object id of the destinated object in the <code>value</code>-attribute.\nFirst cell must have the class <code>Checkbox</code> and contain an <code>input</code> node of type <code>checkbox</code>. This <code>checkbox</code> will be\nselected, once the surrounding table row is clicked.\n <td class=\"Checkbox\"><input type=\"checkbox\" value=\"12345\" /></td></p>\n\n<h3>Examples</h3>\n\n<p>Apply editable feature to a table.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>ep('#contentTable').uiRichtable({\n  'saveAction': 'Save',\n  'region': jQuery.i18n.settings.region,\n  'editIcon': true\n});\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;table id=\"contentTable\" class=\"ContentList\"&gt;\n  &lt;tr&gt;\n    &lt;td class=\"Checkbox\"&gt;Input&lt;/td&gt;\n    &lt;td class=\"OneQuarter\" data-ep-editable=\"true\"&gt;&lt;span data-ep-attribute=\"Name\"&gt;Text&lt;/span&gt;&lt;/td&gt;\n    &lt;td class=\"OneQuarter AlignRight editable50\" data-ep-editable=\"true\"&gt;&lt;div data-ep-attribute=\"Price\" data-ep-additional=\"CurrencyID\"&gt;199,95 &amp;euro;&lt;/div&gt;&lt;/td&gt;\n    &lt;td class=\"OneQuarter AlignRight editable40\" data-ep-editable=\"true\"&gt;&lt;div data-ep-attribute=\"StockLevel\"&gt;0&lt;/div&gt;&lt;/td&gt;\n  &lt;/tr&gt;\n&lt;/table&gt;\n</code></pre>\n        <p>Available since: <b>6.15.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-alterIcon' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiRichtable'>jQuery.ui.uiRichtable</span><br/><a href='source/richtable.html#jQuery-ui-uiRichtable-cfg-alterIcon' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiRichtable-cfg-alterIcon' class='name expandable'>alterIcon</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>A boolean indicator whether the edit icon should always be shown on the right side (false) or depending by the horizo...</div><div class='long'><p>A boolean indicator whether the edit icon should always be shown on the right side (false) or depending by the horizontal alignment (true)</p>\n</div></div></div><div id='cfg-currency' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiRichtable'>jQuery.ui.uiRichtable</span><br/><a href='source/richtable.html#jQuery-ui-uiRichtable-cfg-currency' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiRichtable-cfg-currency' class='name expandable'>currency</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>currency-string representing the current currency</p>\n</div><div class='long'><p>currency-string representing the current currency</p>\n</div></div></div><div id='cfg-editIcon' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiRichtable'>jQuery.ui.uiRichtable</span><br/><a href='source/richtable.html#jQuery-ui-uiRichtable-cfg-editIcon' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiRichtable-cfg-editIcon' class='name expandable'>editIcon</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication whether an edit icon should be shown.</p>\n</div><div class='long'><p>A boolean indication whether an edit icon should be shown.</p>\n</div></div></div><div id='cfg-region' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiRichtable'>jQuery.ui.uiRichtable</span><br/><a href='source/richtable.html#jQuery-ui-uiRichtable-cfg-region' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiRichtable-cfg-region' class='name expandable'>region</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>region-string like de-DE</p>\n</div><div class='long'><p>region-string like de-DE</p>\n</div></div></div><div id='cfg-saveAction' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiRichtable'>jQuery.ui.uiRichtable</span><br/><a href='source/richtable.html#jQuery-ui-uiRichtable-cfg-saveAction' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiRichtable-cfg-saveAction' class='name expandable'>saveAction</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Name of the SaveAction</p>\n</div><div class='long'><p>Name of the SaveAction</p>\n</div></div></div></div></div></div></div>","meta":{}});